Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]
Groups > linux.kernel > #1422284
| From | "Luis R. Rodriguez" <mcgrof@kernel.org> |
|---|---|
| Newsgroups | linux.kernel |
| Subject | [PATCH v2 2/5] scripts: add glimpse.sh for indexing the kernel |
| Date | 2016-06-14 22:10 +0200 |
| Message-ID | <rK2OS-1aP-37@gated-at.bofh.it> (permalink) |
| References | <rK2OR-1aP-7@gated-at.bofh.it> |
| Organization | linux.* mail to news gateway |
Glimpse is a tool you can use to index the kernel. The tool
was recently open sourced under the ISC license and can be
obtained at:
https://github.com/mcgrof/glimpse.git
Signed-off-by: Luis R. Rodriguez <mcgrof@kernel.org>
---
scripts/glimpse.sh | 12 ++++++++++++
1 file changed, 12 insertions(+)
create mode 100755 scripts/glimpse.sh
diff --git a/scripts/glimpse.sh b/scripts/glimpse.sh
new file mode 100755
index 000000000000..5fd24e49f31b
--- /dev/null
+++ b/scripts/glimpse.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+DIR=$(dirname $(readlink -f $0))
+DIR="${DIR}/../"
+
+GLIMPSEINDEX="`which ${GLIMPSEINDEX:=glimpseindex}`"
+if [ ! -x "$GLIMPSEINDEX" ]; then
+ echo 'glimpseindex can be obtained at https://github.com/mcgrof/glimpse.git'
+ exit 1
+fi
+
+find $DIR/* -name "*.[ch]" | $GLIMPSEINDEX -o -H . -F
--
2.8.2
Back to linux.kernel | Previous | Next — Previous in thread | Next in thread | Find similar | Unroll thread
[PATCH v2 0/5] coccicheck: extend with parmap and indexing heuristics "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:10 +0200
[PATCH v2 2/5] scripts: add glimpse.sh for indexing the kernel "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:10 +0200
[PATCH v2 3/5] coccicheck: add indexing enhancement options "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:10 +0200
Re: [PATCH v2 0/5] coccicheck: extend with parmap and indexing heuristics "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:20 +0200
[PATCH v3 6/6] coccicheck: refer to coccicheck bottest wiki for documentation "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:30 +0200
[PATCH v3 1/6] coccicheck: move spatch binary check up "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:30 +0200
[PATCH v3 3/6] scripts: add glimpse.sh for indexing the kernel "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:30 +0200
Aw: [Cocci] [PATCH v3 3/6] scripts: add glimpse.sh for indexing the kernel "SF Markus Elfring" <elfring@users.sourceforge.net> - 2016-06-15 12:30 +0200
Re: [Cocci] [PATCH v3 3/6] scripts: add glimpse.sh for indexing the kernel "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-15 20:10 +0200
Re: scripts: add glimpse.sh for indexing the kernel SF Markus Elfring <elfring@users.sourceforge.net> - 2016-06-15 20:30 +0200
Re: scripts: add glimpse.sh for indexing the kernel "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-15 20:50 +0200
Re: scripts: add glimpse.sh for indexing the kernel SF Markus Elfring <elfring@users.sourceforge.net> - 2016-06-17 18:10 +0200
Re: scripts: add glimpse.sh for indexing the kernel "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-17 19:30 +0200
[PATCH v3 0/6] coccicheck: extend with parmap and indexing heuristics "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:30 +0200
[PATCH v3 2/6] coccicheck: enable parmap support "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:30 +0200
[PATCH v3 5/6] coccicheck: document how to pass extra options to coccinelle "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:30 +0200
[PATCH v3 4/6] coccicheck: add indexing enhancement options "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-14 22:30 +0200
Aw: [Cocci] [PATCH v3 4/6] coccicheck: add indexing enhancement options "SF Markus Elfring" <elfring@users.sourceforge.net> - 2016-06-15 13:30 +0200
Re: [Cocci] [PATCH v3 4/6] coccicheck: add indexing enhancement options "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-15 22:10 +0200
csiph-web